﻿@model Avira.MarketingResearch.Model.ViewModels.Trend.MainTrendRegionMapInsertUpdateDbViewModel
@using Avira.MarketingResearch.Model.ViewModels.Trend;
@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_LayoutWithTrendTabAndLeftMenu.cshtml";
}
@*@{
        List<string> Roles = ViewBag.UserRoleList as List<string>;
        var isAuthordisable = Roles.Contains("Author") || Roles.Contains("Co-Author");
        var isApproverdisable = Roles.Contains("Approver") || Roles.Contains("Co-Approver");
    }*@
<style>
    .fixed-menu-header-geography {
        height: 311.45px;
        overflow: auto;
        padding: 0 15px;
    }

    .select-all-from-geo-country {
        display: flex;
        align-items: center;
    }

        .select-all-from-geo-country label {
            margin: 0;
            margin-right: 10px;
            color: #565555;
        }

    .project-details-header {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .custom-form-group {
        align-items: center;
    }
</style>
@using (Html.BeginForm("Index", "TrendRegionMap", FormMethod.Post, new { @class = "" }))
{
    <div id="content" class="content" style="margin-top:35px;">
        <!-- begin section-container -->
        @Html.Partial("_TrendDetails", Model.TrendModel)
        <!-- end page-header -->
        @if (ViewBag.Message != null)
        {
            <div class="alert alert-danger alert-bordered show m-b-10">
                <strong>Info!</strong>
                @ViewBag.Message
                <span class="close" data-dismiss="alert">×</span>
            </div>
        }
        <!-- begin col-6 -->
        <div class="form-horizontal">
            <div class="row">
                <div class="col-lg-4">
                    <div class="form-group custom-form-group m-b-10">
                        <div class="col-lg-3 text-right">
                            <h5>Global</h5>
                        </div>
                        <div class="col-lg-4">
                            @*<select class="form-control">
                                <option></option>
                                <option>Direct</option>
                                <option>Indirect</option>
                            </select>*@

                            @Html.DropDownList("ddlGlobalImpact", new SelectList(ViewBag.ImpactList, "Id", "ImpactTypeName"), "", new { @class = "form-control" })

                        </div>
                        <div class="col-lg-2">
                            <label>
                                <input type="checkbox" id="GlobalAllCheckbox" value="option1" />
                            </label>
                        </div>
                    </div>
                </div>
            </div>

        </div>
        @Html.HiddenFor(x => x.TrendId)
        @for (var t = 0; t < Model.TrendRegionMapInsertUpdateTile.Count; t++)
        {
            <div class="section-container section-with-top-border p-b-10">
                <div class="row">
                    @for (int i = 0; i < Model.TrendRegionMapInsertUpdateTile[t].Count; i++)
                    {
                        @Html.HiddenFor(m => m.TrendRegionMapInsertUpdateTile[t][i].RegionId)
                        @Html.HiddenFor(m => m.TrendRegionMapInsertUpdateTile[t][i].RegionName)
                        <div class="col-lg-6 global-form-section">
                            <div class="navbar-form form-input-flat">
                                <div class="form-group" style="width:300px;">
                                    <input type="text" class="form-control" placeholder="Enter keyword..." />
                                    <button type="submit" class="btn btn-search"><i class="fa fa-search"></i></button>
                                </div>
                            </div>
                            <div class="form-horizontal">
                                <div class="form-group custom-form-group m-b-10">
                                    <div class="col-lg-4">
                                        <h5>@Model.TrendRegionMapInsertUpdateTile[t][i].RegionName</h5>
                                    </div>
                                    <div class="col-lg-3">
                                        <h5>Direct/Indirect</h5>
                                    </div>
                                    <div class="col-lg-2">
                                        <h5>End User</h5>
                                    </div>
                                </div>
                                <div class="form-group custom-form-group m-b-10">
                                    <div class="col-lg-4">
                                        <h5>Select All</h5>
                                    </div>
                                    <div class="col-lg-3">
                                        @*<select class="form-control">
                                            <option></option>
                                            <option>Direct</option>
                                            <option>Indirect</option>
                                        </select>*@
                                        @Html.DropDownList("ddlGlobalImpact_Sub", new SelectList(ViewBag.ImpactList, "Id", "ImpactTypeName"), "", new { @class = "form-control ddlGlobalImpact_Sub_Cls", id= "ddlGlobalImpact_Sub_" + @Model.TrendRegionMapInsertUpdateTile[t][i].RegionId })
                                    </div>
                                    <div class="col-lg-2">
                                        <label>
                                            <input type="checkbox" id="blankCheckbox" value="@Model.TrendRegionMapInsertUpdateTile[t][i].RegionId" class="GlobalCheckbox" />
                                        </label>
                                    </div>
                                </div>
                                <div class="fixed-menu-header-geography">
                                    @for (int j = 0; j < Model.TrendRegionMapInsertUpdateTile[t][i].CountryList.Count; j++)
                                    {@Html.HiddenFor(m => m.TrendRegionMapInsertUpdateTile[t][i].CountryList[j].CountryId)
                                    @Html.HiddenFor(m => m.TrendRegionMapInsertUpdateTile[t][i].CountryList[j].CountryName)

                                    <div class="form-group custom-form-group m-b-10">
                                        <label class="col-lg-4 col-form-label">@Model.TrendRegionMapInsertUpdateTile[t][i].CountryList[j].CountryName</label>
                                        <div class="col-lg-3">
                                            @Html.DropDownListFor(m => m.TrendRegionMapInsertUpdateTile[t][i].CountryList[j].Impact, new SelectList(ViewBag.ImpactList, "Id", "ImpactTypeName"), "", new { @class = "form-control InnerCountry InnerCountry_" + @Model.TrendRegionMapInsertUpdateTile[t][i].RegionId })

                                        </div>
                                        <div class="col-lg-2 checkbox">
                                            <label>
                                                @Html.CheckBoxFor(m => m.TrendRegionMapInsertUpdateTile[t][i].CountryList[j].EndUser, new { @class = "EndUserCheckbox EndUserCheckbox_" + @Model.TrendRegionMapInsertUpdateTile[t][i].RegionId })
                                            </label>
                                        </div>
                                    </div>

                                           }
                                </div>

                            </div>
                        </div>
                    }
                    <!-- end row -->
                </div>
            </div>

        }

        <!-- begin row -->
        <!-- begin section-container -->
        <div class="section-container section-with-top-border p-b-5">
            <div class="row">
                <!-- begin col-6 -->
                <div class="col-lg-6">
                    <div class="panel panel-info" data-sortable-id="ui-widget-8">
                        <div class="panel-heading">
                            <div class="panel-heading-btn">
                                <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-white"
                                   data-click="panel-expand"><i class="fa fa-expand"></i></a>
                            </div>
                            <h4 class="panel-title">Author Notes</h4>
                        </div>
                        @*<textarea class="form-control no-rounded-corner"
                            rows="6">This is a form textarea.</textarea>*@
                        @*@Html.TextAreaFor(m => m.TrendNoteModel.AuthorRemark, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner", @readonly = @isAuthordisable })*@
                        @Html.TextAreaFor(m => m.TrendNoteModel.AuthorRemark, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner" })
                        <script type="text/javascript">

                            CKEDITOR.replace('TrendNoteModel.AuthorRemark', {  // Define the toolbar groups as it is a more accessible solution.
                                height: 40,
                                toolbarGroups: [{
                                    "name": "basicstyles",

                                    "groups": ["basicstyles"]

                                },

                                {

                                    "name": "links",

                                    "groups": ["links"]

                                },

                                {

                                    "name": "paragraph",

                                    "groups": ["list", "blocks"]

                                },

                                {

                                    "name": "document",

                                    "groups": ["mode"]

                                },

                                {

                                    "name": "insert",

                                    "groups": ["insert"]

                                },

                                {

                                    "name": "styles",

                                    "groups": ["styles"]

                                },

                                {

                                    "name": "about",

                                    "groups": ["about"]

                                }

                                ],

                                // Remove the redundant buttons from toolbar groups defined above.

                                removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'

                            });

                        </script>
                    </div>
                </div>
                <!-- end col-6 -->
                <!-- begin col-6 -->
                <div class="col-lg-6">
                    <div class="panel panel-info" data-sortable-id="ui-widget-8">
                        <div class="panel-heading">
                            <div class="panel-heading-btn">
                                <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-white"
                                   data-click="panel-expand"><i class="fa fa-expand"></i></a>
                            </div>
                            <h4 class="panel-title">Approver Notes</h4>
                        </div>
                        @*<textarea class="form-control no-rounded-corner"
                            rows="6">This is a form textarea.</textarea>*@
                        @*@Html.TextAreaFor(m => m.TrendNoteModel.ApproverRemark, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner", @readonly = @isApproverdisable })*@
                        @Html.TextAreaFor(m => m.TrendNoteModel.ApproverRemark, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner" })
                        <script type="text/javascript">
                            CKEDITOR.replace('TrendNoteModel.ApproverRemark', {  // Define the toolbar groups as it is a more accessible solution.
                                height: 40,
                                toolbarGroups: [{

                                    "name": "basicstyles",

                                    "groups": ["basicstyles"]

                                },

                                {

                                    "name": "links",

                                    "groups": ["links"]

                                },

                                {

                                    "name": "paragraph",

                                    "groups": ["list", "blocks"]

                                },

                                {

                                    "name": "document",

                                    "groups": ["mode"]

                                },

                                {

                                    "name": "insert",

                                    "groups": ["insert"]

                                },

                                {

                                    "name": "styles",

                                    "groups": ["styles"]

                                },

                                {

                                    "name": "about",

                                    "groups": ["about"]

                                }

                                ],

                                // Remove the redundant buttons from toolbar groups defined above.

                                removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                            });
                        </script>
                    </div>
                </div>
            </div>
            <!-- end row -->
        </div>
        <!-- end section-container -->

        @Html.Partial("_TrendAction", @Model.TrendModel)
        <!-- end section-container -->
        <!-- begin #footer -->
        <div id="footer" class="footer">
            <span class="pull-right">
                <a href="javascript:;" class="btn-scroll-to-top" data-click="scroll-top">
                    <i class="fa fa-arrow-up"></i> <span class="hidden-xs">Back to Top</span>
                </a>
            </span>
            &copy; 2018 <b>Source Admin</b> All Right Reserved
        </div>
        <!-- end #footer -->


    </div>
}

    <script src="~/assets/plugins/jquery/jquery-3.3.1.min.js"></script>
<script>
    $(document).ready(function () {

        $('#ddlGlobalImpact').on('change', function () {            
            var impaceId = this.value;            
            $('.InnerCountry').val(impaceId);
        });

        $('#GlobalAllCheckbox').change(function () {
            var isChecked = this.checked;            
            $('.EndUserCheckbox').prop('checked', isChecked);
        });

        $('.GlobalCheckbox').change(function () {
            var isChecked = this.checked;
            var chkId = this.value;
            $('.EndUserCheckbox_' + chkId).prop('checked', isChecked);         

        });

        $('.ddlGlobalImpact_Sub_Cls').on('change', function () {
            debugger;
            var impaceId = this.value;
            var ddlAllId = this.id.replace('ddlGlobalImpact_Sub_', '');
            var ddlId = '.InnerCountry_' + ddlAllId;
            $(ddlId).val(impaceId);
            //$(this).parent().parent().next().children("select").val(impaceId)
        });
    });
</script>